#ifndef GUIINTENSITYWINDOWTEST_H
#define GUIINTENSITYWINDOWTEST_H

#include <QtTest/QtTest>

#include "GuiBaseTest.h"

/**
 *	$Id$
 *	$Lastlog$
 *
 * \brief This is a test case that verifies the intensity windowing behavior.
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@in.tum.de
 *
 * \ingroup PetSpectFusion
 * \version 1.30
 * \date 02.11.2009
 *
 * Copyright (c) 2007 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class GuiIntensityWindowTest: public GuiBaseTest
{
	Q_OBJECT
	
	private slots:
		void testIntensityWindowCore();
};

#endif //GUIINTENSITYWINDOWTEST_H