#ifndef GUIVOIREGISTRATIONTEST_H
#define GUIVOIREGISTRATIONTEST_H

#include <QtTest/QtTest>

#include "GuiBaseTest.h"

/**
 *	$Id$
 *	$Lastlog$
 *
 * \brief This is a test case that verifies that checks the VOI registration mode in the GUI
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@in.tum.de
 *
 * \ingroup PetSpectFusionTest
 * \version 1.31
 * \date 10.12.2009
 *
 * Copyright (c) 2007 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class GuiVOIRegistrationTest: public GuiBaseTest
{
	Q_OBJECT
	
	private:
		void testInvalidVOIBoundsResponse();
	
	private slots:
		void testGuiVOIRegisration();
		void testGuiAutomaticVOIRegistration();
	
};

#endif //GUIVOIREGISTRATIONTEST_H