#ifndef GUIWINDOWREGIONTEST_H
#define GUIWINDOWREGIONTEST_H

#include <QtTest/QtTest>

#include "GuiBaseTest.h"

/**
 *	$Id$
 *	$Lastlog$
 *
 * \brief This is a test case that verifies that the window levels are set correctly when using a fixed image region for windowing
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@in.tum.de
 *
 * \ingroup PetSpectFusion
 * \version 1.31
 * \date 29.11.2009
 *
 * Copyright (c) 2007 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class GuiWindowRegionTest: public GuiBaseTest
{
	Q_OBJECT
	
	private slots:
	void testGuiWindowRegion();
	void testCommandLineWindowRegion();
	
};

#endif //GUIWINDOWREGIONTEST_H